Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.tools.json
Class JSONWriter

    java.lang.Object
      com.rabbitmq.tools.json.JSONWriter

    public class JSONWriter

extends java.lang.Object

Constructor Summary
`JSONWriter()`
`JSONWriter(boolean indenting)`

Method Summary
`boolean` | `getIndentMode()`
`void` | `setIndentMode(boolean value)`
`java.lang.String` | `write(boolean b)`
`java.lang.String` | `write(char c)`
`java.lang.Object` | `write(double d)`
`java.lang.String` | `write(long n)`
`java.lang.String` | `write(java.lang.Object object)`
`void` | `writeLimited(java.lang.Class<?> klass, java.lang.Object object, java.lang.String[] properties)` Write only a certain subset of the object's properties and fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSONWriter

    public JSONWriter()

### JSONWriter

    public JSONWriter(boolean indenting)

Method Detail

### getIndentMode

    public boolean getIndentMode()

### setIndentMode

    public void setIndentMode(boolean value)

### write

    public java.lang.String write(java.lang.Object object)

### write

    public java.lang.String write(long n)

### write

    public java.lang.Object write(double d)

### write

    public java.lang.String write(char c)

### write

    public java.lang.String write(boolean b)

### writeLimited

    public void writeLimited(java.lang.Class<?> klass,
                             java.lang.Object object,
                             java.lang.String[] properties)

  Write only a certain subset of the object's properties and fields.

  Parameters:
    `klass` - the class to look up properties etc in
    `object` - the object
    `properties` - explicit list of property/field names to include - may be null for "all"

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD